Package com.independentsoft.office.spreadsheet

# Class Worksheet

java.lang.Object
com.independentsoft.office.spreadsheet.Sheet
com.independentsoft.office.spreadsheet.Worksheet

public class Worksheet extends Sheet
The Class Worksheet.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.spreadsheet.Sheet

  `drawingObjects, drawingReference, headerFooterSettings, id, name, pageMargins, relationship, visibilityState, vmlDrawing, vmlDrawingHeaderFooter, vmlDrawingHeaderFooterReference, vmlDrawingReference`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Worksheet()`
  Instantiates a new worksheet.
  `Worksheet​(String name)`
  Instantiates a new worksheet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Worksheet`
  `clone()`
  `Cell`
  `get​(int column, int row)`
  Gets the.
  `List<Cell>`
  `get​(CellReference reference)`
  Gets the.
  `Cell`
  `get​(String reference)`
  Gets the.
  `Cell`
  `get​(String column, int row)`
  Gets the.
  `AutoFilter`
  `getAutoFilter()`
  Gets the auto filter.
  `BackgroundImage`
  `getBackgroundImage()`
  Gets the background image.
  `int`
  `getBaseColumnWidth()`
  Gets the base column width.
  `List<Cell>`
  `getCells()`
  Gets the cells.
  `List<CellWatch>`
  `getCellWatches()`
  Gets the cell watches.
  `String`
  `getCodeName()`
  Gets the code name.
  `List<Column>`
  `getColumns()`
  Gets the columns.
  `CommentSet`
  `getCommentSet()`
  Gets the comment set.
  `List<ConditionalFormatting>`
  `getConditionalFormattings()`
  Gets the conditional formattings.
  `List<EmbeddedControl>`
  `getControls()`
  Gets the controls.
  `int`
  `getCustomHeight()`
  Gets the custom height.
  `List<CustomProperty>`
  `getCustomProperties()`
  Gets the custom properties.
  `List<CustomSheetView>`
  `getCustomSheetViews()`
  Gets the custom sheet views.
  `DataConsolidate`
  `getDataConsolidate()`
  Gets the data consolidate.
  `DataValidations`
  `getDataValidations()`
  Gets the data validations.
  `double`
  `getDefaultColumnWidth()`
  Gets the default column width.
  `double`
  `getDefaultRowHeight()`
  Gets the default row height.
  `String`
  `getDimension()`
  Gets the dimension.
  `List<EmbeddedObject>`
  `getEmbeddedObjects()`
  Gets the embedded objects.
  `ExtensionList`
  `getExtensionList()`
  Gets the worksheet's future-feature extension list (extLst element).
  `HeaderFooterDrawing`
  `getHeaderFooterDrawing()`
  Gets the header and footer drawing (drawingHF element).
  `List<Break>`
  `getHorizontalPageBreaks()`
  Gets the horizontal page breaks.
  `List<Hyperlink>`
  `getHyperlinks()`
  Gets the hyperlinks.
  `List<IgnoredError>`
  `getIgnoredErrors()`
  Gets the ignored errors.
  `List<MergedCell>`
  `getMergedCells()`
  Gets the merged cells.
  `int`
  `getOutlineLevelColumn()`
  Gets the outline level column.
  `int`
  `getOutlineLevelRow()`
  Gets the outline level row.
  `OutlineProperties`
  `getOutlineProperties()`
  Gets the outline properties.
  `PageSetupProperties`
  `getPageSetupProperties()`
  Gets the page setup properties.
  `PageSetupSettings`
  `getPageSetupSettings()`
  Gets the page setup settings.
  `PhoneticProperties`
  `getPhoneticProperties()`
  Gets the phonetic properties.
  `List<PivotTable>`
  `getPivotTables()`
  Gets the pivot tables.
  `PrintOptions`
  `getPrintOptions()`
  Gets the prints the options.
  `List<ProtectedRange>`
  `getProtectedRanges()`
  Gets the protected ranges.
  `List<Row>`
  `getRows()`
  Gets the rows.
  `Scenarios`
  `getScenarios()`
  Gets the scenarios.
  `MasterSharedFormula`
  `getSharedFormula​(int sharedGroupIndex)`
  Gets the shared formula.
  `SheetProtection`
  `getSheetProtection()`
  Gets the sheet protection.
  `SheetTabColor`
  `getSheetTabColor()`
  Gets the sheet tab color.
  `List<CellSmartTagSet>`
  `getSmartTags()`
  Gets the smart tags.
  `SortState`
  `getSortState()`
  Gets the sort state.
  `String`
  `getSyncReference()`
  Gets the sync reference.
  `List<Table>`
  `getTables()`
  Gets the tables.
  `List<Break>`
  `getVerticalPageBreaks()`
  Gets the vertical page breaks.
  `List<SheetView>`
  `getViews()`
  Gets the views.
  `List<WebPublishingItem>`
  `getWebPublishingItems()`
  Gets the web publishing items.
  `boolean`
  `hasThickBottomBorder()`
  Checks for thick bottom border.
  `boolean`
  `hasThickTopBorder()`
  Checks for thick top border.
  `boolean`
  `isEnableConditionalFormattingCalculations()`
  Checks if is enable conditional formatting calculations.
  `boolean`
  `isFilterMode()`
  Checks if is filter mode.
  `boolean`
  `isFullCalculateOnLoad()`
  Checks if is full calculate on load.
  `boolean`
  `isHiddenByDefault()`
  Checks if is hidden by default.
  `boolean`
  `isPublished()`
  Checks if is published.
  `boolean`
  `isSyncHorizontal()`
  Checks if is sync horizontal.
  `boolean`
  `isSyncVertical()`
  Checks if is sync vertical.
  `boolean`
  `isTransitionFormulaEntry()`
  Checks if is transition formula entry.
  `boolean`
  `isTransitionFormulaEvaluation()`
  Checks if is transition formula evaluation.
  `void`
  `set​(int column, int row, Cell cell)`
  Sets the.
  `void`
  `set​(String column, int row, Cell cell)`
  Sets the.
  `void`
  `set​(String reference, Cell cell)`
  Sets the.
  `void`
  `setAutoFilter​(AutoFilter autoFilter)`
  Sets the auto filter.
  `void`
  `setBackgroundImage​(BackgroundImage backgroundImage)`
  Sets the background image.
  `void`
  `setBaseColumnWidth​(int baseColumnWidth)`
  Sets the base column width.
  `void`
  `setCodeName​(String codeName)`
  Sets the code name.
  `void`
  `setCommentSet​(CommentSet commentSet)`
  Sets the comment set.
  `void`
  `setCustomHeight​(int customHeight)`
  Sets the custom height.
  `void`
  `setDataConsolidate​(DataConsolidate dataConsolidate)`
  Sets the data consolidate.
  `void`
  `setDataValidations​(DataValidations dataValidations)`
  Sets the data validations.
  `void`
  `setDefaultColumnWidth​(double defaultColumnWidth)`
  Sets the default column width.
  `void`
  `setDefaultRowHeight​(double defaultRowHeight)`
  Sets the default row height.
  `void`
  `setDimension​(String dimension)`
  Sets the dimension.
  `void`
  `setEnableConditionalFormattingCalculations​(boolean enableConditionalFormattingCalculations)`
  Sets the enable conditional formatting calculations.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the worksheet's future-feature extension list (extLst element).
  `void`
  `setFilterMode​(boolean filterMode)`
  Sets the filter mode.
  `void`
  `setFullCalculateOnLoad​(boolean fullCalculateOnLoad)`
  Sets the full calculate on load.
  `void`
  `setHeaderFooterDrawing​(HeaderFooterDrawing headerFooterDrawing)`
  Sets the header and footer drawing (drawingHF element).
  `void`
  `setHiddenByDefault​(boolean hiddenByDefault)`
  Sets the hidden by default.
  `void`
  `setOutlineLevelColumn​(int outlineLevelColumn)`
  Sets the outline level column.
  `void`
  `setOutlineLevelRow​(int outlineLevelRow)`
  Sets the outline level row.
  `void`
  `setPrintOptions​(PrintOptions printOptions)`
  Sets the prints the options.
  `void`
  `setPublished​(boolean published)`
  Sets the published.
  `void`
  `setScenarios​(Scenarios scenarios)`
  Sets the scenarios.
  `void`
  `setSheetProtection​(SheetProtection sheetProtection)`
  Sets the sheet protection.
  `void`
  `setSheetTabColor​(SheetTabColor sheetTabColor)`
  Sets the sheet tab color.
  `void`
  `setSortState​(SortState sortState)`
  Sets the sort state.
  `void`
  `setSyncHorizontal​(boolean syncHorizontal)`
  Sets the sync horizontal.
  `void`
  `setSyncReference​(String syncReference)`
  Sets the sync reference.
  `void`
  `setSyncVertical​(boolean syncVertical)`
  Sets the sync vertical.
  `void`
  `setThickBottomBorder​(boolean hasThickBottomBorder)`
  Sets the thick bottom border.
  `void`
  `setThickTopBorder​(boolean hasThickTopBorder)`
  Sets the thick top border.
  `void`
  `setTransitionFormulaEntry​(boolean transitionFormulaEntry)`
  Sets the transition formula entry.
  `void`
  `setTransitionFormulaEvaluation​(boolean transitionFormulaEvaluation)`
  Sets the transition formula evaluation.
  `byte[]`
  `toByteArray()`

  ### Methods inherited from class com.independentsoft.office.spreadsheet.Sheet

  `getDrawingObjects, getHeaderFooterSettings, getID, getName, getPageMargins, getVisibilityState, getVmlHeaderFooterObjects, getVmlObjects, setDrawingObjects, setID, setName, setPageMargins, setVisibilityState`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Worksheet

    public Worksheet()
    Instantiates a new worksheet.

  - ### Worksheet

    public Worksheet​(String name)
    Instantiates a new worksheet.
    Parameters:
      `name` - the name

- ## Method Details

  - ### getCells

    public List<Cell> getCells()
    Gets the cells.
    Returns:
      the cells

  - ### clone

    public Worksheet clone()
    Specified by:
      `clone` in class `Sheet`

  - ### toByteArray

    public byte[] toByteArray()

  - ### get

    public Cell get​(int column, int row)
    Gets the.
    Parameters:
      `column` - the column
      `row` - the row
    Returns:
      the cell

  - ### set

    public void set​(int column, int row, Cell cell)
    Sets the.
    Parameters:
      `column` - the column
      `row` - the row
      `cell` - the cell

  - ### get

    public Cell get​(String column, int row)
    Gets the.
    Parameters:
      `column` - the column
      `row` - the row
    Returns:
      the cell

  - ### set

    public void set​(String column, int row, Cell cell)
    Sets the.
    Parameters:
      `column` - the column
      `row` - the row
      `cell` - the cell

  - ### get

    public Cell get​(String reference)
    Gets the.
    Parameters:
      `reference` - the reference
    Returns:
      the cell

  - ### set

    public void set​(String reference, Cell cell)
    Sets the.
    Parameters:
      `reference` - the reference
      `cell` - the cell

  - ### get

    public List<Cell> get​(CellReference reference)
    Gets the.
    Parameters:
      `reference` - the reference
    Returns:
      the list

  - ### getSmartTags

    public List<CellSmartTagSet> getSmartTags()
    Gets the smart tags.
    Returns:
      the smart tags

  - ### getPhoneticProperties

    public PhoneticProperties getPhoneticProperties()
    Gets the phonetic properties.
    Returns:
      the phonetic properties

  - ### getRows

    public List<Row> getRows()
    Gets the rows.
    Returns:
      the rows

  - ### getColumns

    public List<Column> getColumns()
    Gets the columns.
    Returns:
      the columns

  - ### getTables

    public List<Table> getTables()
    Gets the tables.
    Returns:
      the tables

  - ### getViews

    public List<SheetView> getViews()
    Gets the views.
    Returns:
      the views

  - ### getCellWatches

    public List<CellWatch> getCellWatches()
    Gets the cell watches.
    Returns:
      the cell watches

  - ### getVerticalPageBreaks

    public List<Break> getVerticalPageBreaks()
    Gets the vertical page breaks.
    Returns:
      the vertical page breaks

  - ### getControls

    public List<EmbeddedControl> getControls()
    Gets the controls.
    Returns:
      the controls

  - ### getCustomProperties

    public List<CustomProperty> getCustomProperties()
    Gets the custom properties.
    Returns:
      the custom properties

  - ### getProtectedRanges

    public List<ProtectedRange> getProtectedRanges()
    Gets the protected ranges.
    Returns:
      the protected ranges

  - ### getCustomSheetViews

    public List<CustomSheetView> getCustomSheetViews()
    Gets the custom sheet views.
    Returns:
      the custom sheet views

  - ### getHyperlinks

    public List<Hyperlink> getHyperlinks()
    Gets the hyperlinks.
    Returns:
      the hyperlinks

  - ### getIgnoredErrors

    public List<IgnoredError> getIgnoredErrors()
    Gets the ignored errors.
    Returns:
      the ignored errors

  - ### getMergedCells

    public List<MergedCell> getMergedCells()
    Gets the merged cells.
    Returns:
      the merged cells

  - ### getEmbeddedObjects

    public List<EmbeddedObject> getEmbeddedObjects()
    Gets the embedded objects.
    Returns:
      the embedded objects

  - ### getWebPublishingItems

    public List<WebPublishingItem> getWebPublishingItems()
    Gets the web publishing items.
    Returns:
      the web publishing items

  - ### getBackgroundImage

    public BackgroundImage getBackgroundImage()
    Gets the background image.
    Returns:
      the background image

  - ### setBackgroundImage

    public void setBackgroundImage​(BackgroundImage backgroundImage)
    Sets the background image.
    Parameters:
      `backgroundImage` - the new background image

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the worksheet's future-feature extension list (extLst element).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the worksheet's future-feature extension list (extLst element).
    Parameters:
      `extensionList` - the new extension list

  - ### getHeaderFooterDrawing

    public HeaderFooterDrawing getHeaderFooterDrawing()
    Gets the header and footer drawing (drawingHF element).
    Returns:
      the header footer drawing

  - ### setHeaderFooterDrawing

    public void setHeaderFooterDrawing​(HeaderFooterDrawing headerFooterDrawing)
    Sets the header and footer drawing (drawingHF element).
    Parameters:
      `headerFooterDrawing` - the new header footer drawing

  - ### getCommentSet

    public CommentSet getCommentSet()
    Gets the comment set.
    Returns:
      the comment set

  - ### setCommentSet

    public void setCommentSet​(CommentSet commentSet)
    Sets the comment set.
    Parameters:
      `commentSet` - the new comment set

  - ### getDimension

    public String getDimension()
    Gets the dimension.
    Returns:
      the dimension

  - ### setDimension

    public void setDimension​(String dimension)
    Sets the dimension.
    Parameters:
      `dimension` - the new dimension

  - ### getAutoFilter

    public AutoFilter getAutoFilter()
    Gets the auto filter.
    Returns:
      the auto filter

  - ### setAutoFilter

    public void setAutoFilter​(AutoFilter autoFilter)
    Sets the auto filter.
    Parameters:
      `autoFilter` - the new auto filter

  - ### getDataConsolidate

    public DataConsolidate getDataConsolidate()
    Gets the data consolidate.
    Returns:
      the data consolidate

  - ### setDataConsolidate

    public void setDataConsolidate​(DataConsolidate dataConsolidate)
    Sets the data consolidate.
    Parameters:
      `dataConsolidate` - the new data consolidate

  - ### getDataValidations

    public DataValidations getDataValidations()
    Gets the data validations.
    Returns:
      the data validations

  - ### setDataValidations

    public void setDataValidations​(DataValidations dataValidations)
    Sets the data validations.
    Parameters:
      `dataValidations` - the new data validations

  - ### getConditionalFormattings

    public List<ConditionalFormatting> getConditionalFormattings()
    Gets the conditional formattings.
    Returns:
      the conditional formattings

  - ### getPageSetupSettings

    public PageSetupSettings getPageSetupSettings()
    Gets the page setup settings.
    Returns:
      the page setup settings

  - ### getPrintOptions

    public PrintOptions getPrintOptions()
    Gets the prints the options.
    Returns:
      the prints the options

  - ### setPrintOptions

    public void setPrintOptions​(PrintOptions printOptions)
    Sets the prints the options.
    Parameters:
      `printOptions` - the new prints the options

  - ### getScenarios

    public Scenarios getScenarios()
    Gets the scenarios.
    Returns:
      the scenarios

  - ### setScenarios

    public void setScenarios​(Scenarios scenarios)
    Sets the scenarios.
    Parameters:
      `scenarios` - the new scenarios

  - ### getSheetProtection

    public SheetProtection getSheetProtection()
    Gets the sheet protection.
    Returns:
      the sheet protection

  - ### setSheetProtection

    public void setSheetProtection​(SheetProtection sheetProtection)
    Sets the sheet protection.
    Parameters:
      `sheetProtection` - the new sheet protection

  - ### isFullCalculateOnLoad

    public boolean isFullCalculateOnLoad()
    Checks if is full calculate on load.
    Returns:
      true, if is full calculate on load

  - ### setFullCalculateOnLoad

    public void setFullCalculateOnLoad​(boolean fullCalculateOnLoad)
    Sets the full calculate on load.
    Parameters:
      `fullCalculateOnLoad` - the new full calculate on load

  - ### getHorizontalPageBreaks

    public List<Break> getHorizontalPageBreaks()
    Gets the horizontal page breaks.
    Returns:
      the horizontal page breaks

  - ### getPivotTables

    public List<PivotTable> getPivotTables()
    Gets the pivot tables.
    Returns:
      the pivot tables

  - ### getBaseColumnWidth

    public int getBaseColumnWidth()
    Gets the base column width.
    Returns:
      the base column width

  - ### setBaseColumnWidth

    public void setBaseColumnWidth​(int baseColumnWidth)
    Sets the base column width.
    Parameters:
      `baseColumnWidth` - the new base column width

  - ### getCustomHeight

    public int getCustomHeight()
    Gets the custom height.
    Returns:
      the custom height

  - ### setCustomHeight

    public void setCustomHeight​(int customHeight)
    Sets the custom height.
    Parameters:
      `customHeight` - the new custom height

  - ### getDefaultColumnWidth

    public double getDefaultColumnWidth()
    Gets the default column width.
    Returns:
      the default column width

  - ### setDefaultColumnWidth

    public void setDefaultColumnWidth​(double defaultColumnWidth)
    Sets the default column width.
    Parameters:
      `defaultColumnWidth` - the new default column width

  - ### getDefaultRowHeight

    public double getDefaultRowHeight()
    Gets the default row height.
    Returns:
      the default row height

  - ### setDefaultRowHeight

    public void setDefaultRowHeight​(double defaultRowHeight)
    Sets the default row height.
    Parameters:
      `defaultRowHeight` - the new default row height

  - ### getOutlineLevelColumn

    public int getOutlineLevelColumn()
    Gets the outline level column.
    Returns:
      the outline level column

  - ### setOutlineLevelColumn

    public void setOutlineLevelColumn​(int outlineLevelColumn)
    Sets the outline level column.
    Parameters:
      `outlineLevelColumn` - the new outline level column

  - ### getOutlineLevelRow

    public int getOutlineLevelRow()
    Gets the outline level row.
    Returns:
      the outline level row

  - ### setOutlineLevelRow

    public void setOutlineLevelRow​(int outlineLevelRow)
    Sets the outline level row.
    Parameters:
      `outlineLevelRow` - the new outline level row

  - ### hasThickBottomBorder

    public boolean hasThickBottomBorder()
    Checks for thick bottom border.
    Returns:
      true, if successful

  - ### setThickBottomBorder

    public void setThickBottomBorder​(boolean hasThickBottomBorder)
    Sets the thick bottom border.
    Parameters:
      `hasThickBottomBorder` - the new thick bottom border

  - ### hasThickTopBorder

    public boolean hasThickTopBorder()
    Checks for thick top border.
    Returns:
      true, if successful

  - ### setThickTopBorder

    public void setThickTopBorder​(boolean hasThickTopBorder)
    Sets the thick top border.
    Parameters:
      `hasThickTopBorder` - the new thick top border

  - ### isHiddenByDefault

    public boolean isHiddenByDefault()
    Checks if is hidden by default.
    Returns:
      true, if is hidden by default

  - ### setHiddenByDefault

    public void setHiddenByDefault​(boolean hiddenByDefault)
    Sets the hidden by default.
    Parameters:
      `hiddenByDefault` - the new hidden by default

  - ### getSortState

    public SortState getSortState()
    Gets the sort state.
    Returns:
      the sort state

  - ### setSortState

    public void setSortState​(SortState sortState)
    Sets the sort state.
    Parameters:
      `sortState` - the new sort state

  - ### getOutlineProperties

    public OutlineProperties getOutlineProperties()
    Gets the outline properties.
    Returns:
      the outline properties

  - ### getPageSetupProperties

    public PageSetupProperties getPageSetupProperties()
    Gets the page setup properties.
    Returns:
      the page setup properties

  - ### getSheetTabColor

    public SheetTabColor getSheetTabColor()
    Gets the sheet tab color.
    Returns:
      the sheet tab color

  - ### setSheetTabColor

    public void setSheetTabColor​(SheetTabColor sheetTabColor)
    Sets the sheet tab color.
    Parameters:
      `sheetTabColor` - the new sheet tab color

  - ### getCodeName

    public String getCodeName()
    Gets the code name.
    Returns:
      the code name

  - ### setCodeName

    public void setCodeName​(String codeName)
    Sets the code name.
    Parameters:
      `codeName` - the new code name

  - ### isEnableConditionalFormattingCalculations

    public boolean isEnableConditionalFormattingCalculations()
    Checks if is enable conditional formatting calculations.
    Returns:
      true, if is enable conditional formatting calculations

  - ### setEnableConditionalFormattingCalculations

    public void setEnableConditionalFormattingCalculations​(boolean enableConditionalFormattingCalculations)
    Sets the enable conditional formatting calculations.
    Parameters:
      `enableConditionalFormattingCalculations` - the new enable conditional formatting calculations

  - ### isFilterMode

    public boolean isFilterMode()
    Checks if is filter mode.
    Returns:
      true, if is filter mode

  - ### setFilterMode

    public void setFilterMode​(boolean filterMode)
    Sets the filter mode.
    Parameters:
      `filterMode` - the new filter mode

  - ### isPublished

    public boolean isPublished()
    Checks if is published.
    Returns:
      true, if is published

  - ### setPublished

    public void setPublished​(boolean published)
    Sets the published.
    Parameters:
      `published` - the new published

  - ### isSyncHorizontal

    public boolean isSyncHorizontal()
    Checks if is sync horizontal.
    Returns:
      true, if is sync horizontal

  - ### setSyncHorizontal

    public void setSyncHorizontal​(boolean syncHorizontal)
    Sets the sync horizontal.
    Parameters:
      `syncHorizontal` - the new sync horizontal

  - ### getSyncReference

    public String getSyncReference()
    Gets the sync reference.
    Returns:
      the sync reference

  - ### setSyncReference

    public void setSyncReference​(String syncReference)
    Sets the sync reference.
    Parameters:
      `syncReference` - the new sync reference

  - ### isSyncVertical

    public boolean isSyncVertical()
    Checks if is sync vertical.
    Returns:
      true, if is sync vertical

  - ### setSyncVertical

    public void setSyncVertical​(boolean syncVertical)
    Sets the sync vertical.
    Parameters:
      `syncVertical` - the new sync vertical

  - ### isTransitionFormulaEntry

    public boolean isTransitionFormulaEntry()
    Checks if is transition formula entry.
    Returns:
      true, if is transition formula entry

  - ### setTransitionFormulaEntry

    public void setTransitionFormulaEntry​(boolean transitionFormulaEntry)
    Sets the transition formula entry.
    Parameters:
      `transitionFormulaEntry` - the new transition formula entry

  - ### isTransitionFormulaEvaluation

    public boolean isTransitionFormulaEvaluation()
    Checks if is transition formula evaluation.
    Returns:
      true, if is transition formula evaluation

  - ### setTransitionFormulaEvaluation

    public void setTransitionFormulaEvaluation​(boolean transitionFormulaEvaluation)
    Sets the transition formula evaluation.
    Parameters:
      `transitionFormulaEvaluation` - the new transition formula evaluation

  - ### getSharedFormula

    public MasterSharedFormula getSharedFormula​(int sharedGroupIndex)
    Gets the shared formula.
    Parameters:
      `sharedGroupIndex` - the shared group index
    Returns:
      the shared formula